Skip to main content
POST
/
stores
/
{storeId}
/
orders
/
{orderId}
/
fulfillments
Create Fulfillment
curl --request POST \
  --url https://api.getredo.com/v2.2/stores/{storeId}/orders/{orderId}/fulfillments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lineItems": [
    {
      "id": "<string>",
      "quantity": 500
    }
  ],
  "fulfillmentId": "<string>",
  "tracking": {
    "carrier": "<string>",
    "code": "<string>"
  },
  "useDummyTracking": true,
  "initialTracking": {
    "status": "pre_transit",
    "estimatedDeliveryDate": "2023-11-07T05:31:56Z",
    "message": "<string>",
    "datetime": "2023-11-07T05:31:56Z",
    "location": {
      "city": "<string>",
      "state": "<string>",
      "country": "<string>",
      "postalCode": "<string>"
    }
  }
}
'
{
  "success": true,
  "fulfillment": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "lineItems": [
      {
        "id": "<string>",
        "quantity": 500,
        "title": "<string>",
        "productId": "<string>",
        "variantId": "<string>",
        "sku": "<string>"
      }
    ],
    "status": "pre_transit",
    "trackingHistory": [
      {
        "message": "<string>",
        "status": "<string>",
        "datetime": "2023-11-07T05:31:56Z",
        "location": {
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "postalCode": "<string>"
        }
      }
    ],
    "trackingCompany": "<string>",
    "trackingNumber": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storeId
string
required

Store ID

Example:

"64e5a8a1af49a89df37e4ee7"

orderId
string
required

Order ID. Can be either the external order ID provided when creating the order, or the internal Redo order ID.

Body

application/json

Request body for creating a fulfillment.

lineItems
object[]
required

List of line items to fulfill.

Minimum array length: 1
fulfillmentId
string

Unique identifier for the fulfillment. If not provided, will be auto-generated.

tracking
object

Optional tracking information for the shipment.

useDummyTracking
boolean

If true, creates a dummy tracker for testing without calling external tracking APIs. Useful for development and testing the fulfillment status update endpoint.

initialTracking
object

Initial tracking information for the dummy tracker. Only used when useDummyTracking is true. If not specified, defaults to status "pre_transit".

Response

Success

Successful fulfillment operation response.

success
boolean
required
fulfillment
object
required

Fulfillment information.